cat > subprojects.md5 << EOF &&
c822b9ac498d5bfbaa82ce6fa1c126a4  corba.tar.bz2
67a98eef6eed6fde18ec5e422bbdd074  hotspot.tar.bz2
fc20a017e3d3598de65240bc9a2ffbbc  jaxp.tar.bz2
669f95ee39534dcbbe538cb59bc78742  jaxws.tar.bz2
b85df8468b42a7c14c5d55e84339a2dd  langtools.tar.bz2
58fa5f03c7da51a07c000881ca8e1b1b  jdk.tar.bz2
1f9358090dc4ba710a14f31115de7c5f  nashorn.tar.bz2
EOF

for subproject in corba hotspot jaxp jaxws langtools jdk nashorn; do
  wget -c http://hg.openjdk.java.net/jdk8u/jdk8u/${subproject}/archive/jdk8u72-b15.tar.bz2 \
       -O ${subproject}.tar.bz2
done &&

md5sum -c subprojects.md5 &&

for subproject in corba hotspot jaxp jaxws langtools jdk nashorn; do
  mkdir -pv ${subproject} &&
  tar -xf ${subproject}.tar.bz2 --strip-components=1 -C ${subproject}
done

